Ir para o conteúdo
Documentação do Endless

Create generation

POST
/generations

Creates a generation and returns the created row.

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Header Parameters

Endless-Api-Version?string

Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/generations" \  -H "Content-Type: application/json" \  -d '{    "organization_id": "string",    "output_type": "image"  }'
{  "generation_id": "string",  "reused": true,  "status": "running",  "model": {    "id": "string",    "name": "string"  },  "quote": {    "per_output": 0,    "count": 1,    "total": 0  },  "credits_charged": 0,  "assets": [    {      "asset_id": "string",      "url": "string",      "type": "string"    }  ]}